# sapB1Call

## Description

This is a business management software (ERP) designed for small and medium-sized enterprises. As an ERP solution, it aims to automate key business functions in financials, operations, and human resources.

This function allows users to call the sapB1Call web service.

## Input / Parameter

| Name      | Description                                                           | Input Type  | Default | Options | Required |
| --------- | --------------------------------------------------------------------- | ----------- | ------- | ------- | -------- |
| connector | The name of the SAP B1 connector created in Services to connect to.   | String/Text | -       | -       | Yes      |
| function  | The function from the web service to be executed.                     | String/Text | -       | -       | Yes      |
| data      | The data containing the main parameters in the function being called. | Object      | -       | -       | Yes      |
| extra     | Extra parameters stored and passed to callback.                       | Any         | -       | -       | No       |

## Output

N/A

## Callback?

### callback

The function to be executed if the connection to SAP B1 connector is successful.

### errCallback

The function to be executed if the connection to SAP B1 connector is not successful.

## Video

Coming Soon.

## Example

The user wants to call the sapB1Call Web Service.

### Step

1. Create SAP B1 Connector in Services and define the name, url and timeOut.

   |         |                                                    |
   | ------- | -------------------------------------------------- |
   | Name    | sapb1                                              |
   | Url     | <http://203.116.137.100:51059/DemoApp/Sample.asmx> |
   | Timeout | 30000                                              |

   ![](/files/qDu414n7yXTDXwjaWXPy)
2. Call the function "sapB1Call" and define the connector & function, set the function "toObject"to data.

   |           |           |
   | --------- | --------- |
   | connector | sapb1     |
   | function  | LoginDemo |
   | data      | toObject  |

   ![](/files/kIAvEMYncyTAHD769fMg)
3. Define toObject.

   |                 |         |
   | --------------- | ------- |
   | CompanyUserName | manager |
   | CompanyPassword | 123456  |

   ![](/files/159NBH5LHQOJDVy5Edbr)
4. Add a console after callback function for display response from console.

   ![](/files/2zelxVI8dLzbFhyN3xtY)

### Result

![](/files/Z5gPAITqwLTnr3gqZTfR)

## Links


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/dataset/sapb1call.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
